Package ghidra.xml

# Class XmlElementImpl

java.lang.Object
ghidra.xml.XmlElementImpl

All Implemented Interfaces:
  `XmlElement`

public class XmlElementImpl extends Object implements XmlElement

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XmlElementImpl(boolean isStart, boolean isEnd, String name, int level, LinkedHashMap<String,String> attributes, String text, int columnNumber, int lineNumber)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttribute(String key)`
  `Iterator<Map.Entry<String,String>>`
  `getAttributeIterator()`
  `LinkedHashMap<String,String>`
  `getAttributes()`
  `int`
  `getColumnNumber()`
  `int`
  `getLevel()`
  `int`
  `getLineNumber()`
  `String`
  `getName()`
  `String`
  `getText()`
  `boolean`
  `hasAttribute(String key)`
  `boolean`
  `isContent()`
  `boolean`
  `isEnd()`
  `boolean`
  `isStart()`
  `boolean`
  `isStart(String string)`
  `void`
  `setAttribute(String key, String value)`
  `static XmlElement[]`
  `splitEmptyElement(XmlElementImpl element)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### XmlElementImpl

    public XmlElementImpl(boolean isStart, boolean isEnd, String name, int level, LinkedHashMap<String,String> attributes, String text, int columnNumber, int lineNumber)

- ## Method Details

  - ### getColumnNumber

    public int getColumnNumber()
    Specified by:
      `getColumnNumber` in interface `XmlElement`

  - ### getLineNumber

    public int getLineNumber()
    Specified by:
      `getLineNumber` in interface `XmlElement`

  - ### hasAttribute

    public boolean hasAttribute(String key)
    Specified by:
      `hasAttribute` in interface `XmlElement`

  - ### getAttribute

    public String getAttribute(String key)
    Specified by:
      `getAttribute` in interface `XmlElement`

  - ### getAttributes

    public LinkedHashMap<String,String> getAttributes()
    Specified by:
      `getAttributes` in interface `XmlElement`

  - ### getAttributeIterator

    public Iterator<Map.Entry<String,String>> getAttributeIterator()
    Specified by:
      `getAttributeIterator` in interface `XmlElement`

  - ### setAttribute

    public void setAttribute(String key, String value)
    Specified by:
      `setAttribute` in interface `XmlElement`

  - ### getLevel

    public int getLevel()
    Specified by:
      `getLevel` in interface `XmlElement`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `XmlElement`

  - ### getText

    public String getText()
    Specified by:
      `getText` in interface `XmlElement`

  - ### isContent

    public boolean isContent()
    Specified by:
      `isContent` in interface `XmlElement`

  - ### isEnd

    public boolean isEnd()
    Specified by:
      `isEnd` in interface `XmlElement`

  - ### isStart

    public boolean isStart()
    Specified by:
      `isStart` in interface `XmlElement`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### splitEmptyElement

    public static XmlElement[] splitEmptyElement(XmlElementImpl element)

  - ### isStart

    public boolean isStart(String string)
    Specified by:
      `isStart` in interface `XmlElement`